%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}
Name:          jbosscache-core
Version:       3.2.5
Release:       %mkrel 1
Summary:       JBoss Cache - Core Edition
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/jbosscache
Source0:       http://sourceforge.net/projects/jboss/files/JBossCache/JBossCache%20%{namedversion}/%{name}-%{namedversion}-src.zip
# deps
# remove jbosscache-common-parent 1.6
# remove org.jboss.javaee jboss-javaee 5.0.1.GA
# remove org.jboss.javaee jboss-transaction-api 1.0.1.GA
# change jgroups 2.6.13.GA ---> 2.6.10
# test
# remove jboss.jbossts jbossjta 4.4.0.GA 
# remove jboss.jbossts jbossjts  jbossts-common 4.6.1.GA 
# change maven-surefire-plugin 2.4.3-JBOSS
# docs
# remove org.jboss.maven.plugins maven-jdocbook-plugin 2.0.0
# remove org.jboss jbossorg-docbook-xslt 1.1.0
# remove org.jboss jbossorg-jdocbook-style 1.1.0
Patch0:        jbosscache-core-3.2.5.GA-pom.patch
BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: apache-commons-logging
BuildRequires: c3p0
BuildRequires: jboss-common-core
BuildRequires: jboss-transaction-1.1-api
BuildRequires: jcip-annotations
BuildRequires: jdbm
BuildRequires: je
BuildRequires: jgroups
BuildRequires: noderunner-amazon-s3
#BuildRequires: jaxb2-common-basics
BuildRequires: jboss-specs-parent
BuildRequires: jboss-logging-spi

# test
BuildRequires: bsh2
BuildRequires: easymock2
BuildRequires: hsqldb
BuildRequires: noderunner-http
BuildRequires: testng
BuildRequires: tomcat6-servlet-2.5-api

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin 
BuildRequires: maven-surefire-report-plugin

Requires:      apache-commons-logging
Requires:      c3p0
Requires:      jboss-common-core
Requires:      jboss-transaction-1.1-api
Requires:      jcip-annotations
Requires:      jdbm
Requires:      je
Requires:      jgroups
Requires:      noderunner-amazon-s3

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
JBoss Cache’s goal is to provide enterprise-grade clustering solutions to Java-based frameworks,
application servers or custom-designed Java SE applications.

Note that JBoss Cache, as a project, is in maintenance mode. No new development happens here, and
all attention is focused on Infinispan instead.  Infinispan can be a replacement for JBoss Cache,
and much more.  

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p0

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
find -name '*.bat' -exec rm -f '{}' \;

%build

mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 target/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc README-COMMITTERS.txt README-Maven.txt README-i18n.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Thu Feb 23 2012 gil <gil> 3.2.5-1.mga2
+ Revision: 213598
- edit spec file
- imported package jbosscache-core

